Error package is corrupted

Installing latest version of game cause this error package is corrupted

package is corrupted

Set your system data to May 6 2021. The game will be successfully installed with old date and after that date can changed to correct. Detail instruction how to set your time available with link to applet on Windows help center.

Комментарии (0)
Войдите или Зарегистрируйтесь